const $ = require('jquery');
require("../css/qcList.less");
// require("./../resource/My97DatePicker/WdatePicker.js")
// require("./../resource/My97DatePicker/skin/WdatePicker.css")
const {api} = require('./api.js')
const {post} = require('./utils.js')

let tabList

function getTabData(){
    const param = {
        fileCode: "",
        name: "", //条目名
        behosDateStart: "", //1-单项否决 0-非
        leaveHosDateEnd: "" //0-未启用 1-启用
    }
    post(api.qcList,param).then(res =>{
        console.log('ress', res)
        if(res.data.code == '0'){
            tabList = res.data.data.records
            renderTab(tabList)
        }else{}
    }).catch((e) =>{
    
    })
}

getTabData()
function renderTab(data){
    let str = ``
    let hasSelectAll = true
    for(let i = 0; i < data.length; i++){
        const item = data[i]
        if(!item.hasSelect){
            hasSelectAll = false
        }
        str += `
            <tr  data-index=${i}>
                <td class="scoreOperaItem">${item.hasSelect ? '选择':'未选择'}</td>
                <td>${item.behospitalCode}</td>
                <td>${item.fileCode}</td>
                <td>${item.name}</td>
                <td>${item.sex}</td>
                <td>${item.age}</td>
                <td>${item.bedCode}</td>
                <td>${item.behospitalDate}</td>
                <td>${item.leaveHospitalDate}</td>
                <td>${item.doctorName}</td>
                <td>${item.behDeptName}</td>
                <td>${item.level}</td>
                <td>${item.scoreRes}</td>
                <td>${item.gradeTime}</td>
            </tr>
        `
    }
    if(hasSelectAll){
        $('.scoreOpera').html("选择")
        $('.scoreOpera').attr("data-selectall",true)
    }else{
        $('.scoreOpera').html("未选择")
        $('.scoreOpera').attr("data-selectall",false)
    }
    $('tbody').html(str)
    bindScoreOperaItem()
}
//全选绑定
bindOperaAll()
function bindScoreOperaItem(){
    $(".scoreOperaItem").on("click",  function(e){
        const index = $(this).parent().attr("data-index")
        console.log(index)
        tabList[index].hasSelect = tabList[index].hasSelect ? false:true
        renderTab(tabList)
    })
}

function bindOperaAll(){
    $('.scoreOpera').on("click", function(e){
        const hasSelectAll = $('.scoreOpera').attr("data-selectall")
        console.log('hasSelectAll',hasSelectAll)
        if(hasSelectAll == 'true'){

            for(let i = 0; i < tabList.length; i++){
                tabList[i].hasSelect = false
            }
        }else{
            for(let i = 0; i < tabList.length; i++){
                tabList[i].hasSelect = true
            }
        }
        renderTab(tabList)
    })
}

function recordScore(behospitalCode){
    const param = {
        behospitalCode: behospitalCode
    }
    post(api.recordScore,param).then(res =>{
        if(res.data.code == '0'){
      
        }else{}
    }).catch((e) =>{
    
    })
}

